Skip to main content
DELETE
/
api
/
v1
/
management
/
responses
/
{responseId}
Delete Response
curl --request DELETE \
  --url https://{baseurl}/api/v1/management/responses/{responseId} \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://{baseurl}/api/v1/management/responses/{responseId}"

headers = {"x-api-key": "<x-api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://{baseurl}/api/v1/management/responses/{responseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "createdAt": "2024-04-23T08:03:32.901Z",
    "data": {
      "1": "clicked",
      "hs8yd14l9h8u353tjmv6rzaw": "clicked",
      "hs8yd14l9h8u353tjmv6rzawqqq": "clicked",
      "tcgls0063n8ri7dtrbnepcmz": "Who? Who? Who?",
      "tcgls012312312063n8ri7dtrbnepcmz": "Who? Who? Who?"
    },
    "finished": true,
    "id": "clvc3n6hy000u494jn2ypw30r",
    "language": null,
    "meta": {
      "action": "test action",
      "source": "Postman API",
      "url": "https://postman.com",
      "userAgent": {}
    },
    "person": {
      "attributes": {
        "Created From": "API",
        "created_from": "API"
      },
      "createdAt": "2024-04-23T07:39:22.696Z",
      "id": "clvc2s3ig000k494jltkqkm2u",
      "updatedAt": "2024-04-23T07:39:22.696Z",
      "userId": "THIS-IS-A-VVERY-LONG-USER-ID-FOR-TESTING",
      "workspaceId": "clurwouax000azffxt7n5unn3"
    },
    "personAttributes": {
      "Created From": "API",
      "created_from": "API"
    },
    "singleUseId": null,
    "surveyId": "clusgqpml0000135cxet3y8vh",
    "tags": [],
    "ttc": {},
    "updatedAt": "2024-04-23T08:14:12.343Z"
  }
}
{
"code": "unauthorized",
"details": {},
"message": "You are not authorized to access this resource"
}

Headers

x-api-key
string
required

Path Parameters

responseId
string
required

Response

OK

The response is of type object.